package q1k2.pxlx.train.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * @author heyi
 * 调研评估试题
 */
public class QuestionDto implements Serializable {
    private String id;
    //内容
    private String content;
    //类型
    private String type;
    private String typeName;
    //是否必填
    private Boolean required;
    //最大分数
    private BigDecimal maxScore;
    //最小分数
    private BigDecimal minScore;
    //排序
    private Integer seq;
    //选项列表
    private List<QuestionOptionDto> options;
    //调研后用户选择的答案
    private String answer;

    /**
     * 问答题答题人数数量
     */
    private Long num = 0L;

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getNum() {
        return num;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public BigDecimal getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    public BigDecimal getMinScore() {
        return minScore;
    }

    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    public List<QuestionOptionDto> getOptions() {
        return options;
    }

    public void setOptions(List<QuestionOptionDto> options) {
        this.options = options;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }
}
