package q1k2.pxlx.train.plugin.form;

import kd.bos.ext.form.control.CustomControl;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.sdk.plugin.Plugin;

import java.util.EventObject;
import java.util.Map;

/**
 * @Description 调研与评估预览动态表单插件
 * @Created 刘维
 */
public class SurveyPreviewFormPlugin extends AbstractFormPlugin implements Plugin {
    //自定义控件_试题
    private final String Q1K2_QUESTION = "q1k2_question";

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        //获取自定义参数
        Map<String, Object> customParams = this.getView().getFormShowParameter().getCustomParams();
        //获取自定义控件
        CustomControl customControl = this.getControl(Q1K2_QUESTION);
        //设置参数
        customControl.setData(customParams);
    }
}